Loading...
Searching...
No Matches
Opm::AquiferCT::AQUCT_data Struct Reference

## Public Member Functions

| AQUCT_data (const DeckRecord &record, const TableManager &tables)
| AQUCT_data (const int aqID, const int infID, const int pvtID, const double phi_aq_, const double d0_, const double C_t_, const double r_o_, const double k_a_, const double h_, const double theta_, const double p0_, const double T0_)
double | timeConstant () const
double | influxConstant () const
double | waterDensity () const
double | waterViscosity () const
bool | operator== (const AQUCT_data &other) const
void | finishInitialisation (const TableManager &tables)
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static AQUCT_data | serializationTestObject ()

## Public Attributes

int | aquiferID {}
int | inftableID {}
int | pvttableID {}
double | porosity {}
double | datum_depth {}
double | total_compr {}
double | inner_radius {}
double | permeability {}
double | thickness {}
double | angle_fraction {}
std::optional< double > | initial_pressure {}
std::optional< double > | initial_temperature {}
std::vector< double > | dimensionless_time {}
std::vector< double > | dimensionless_pressure {}

## Friends

class | AquiferCT

The documentation for this struct was generated from the following files:

- opm/input/eclipse/EclipseState/Aquifer/AquiferCT.hpp
- opm/input/eclipse/EclipseState/Aquifer/AquiferCT.cpp